#
# Aeon laser 'bolt'
#
local DefaultProjectileFile = import('/lua/sim/defaultprojectiles.lua')
local SinglePolyTrailProjectile = DefaultProjectileFile.SinglePolyTrailProjectile
local EffectTemplate = import('/lua/EffectTemplates.lua')

local HeavyTurbolaserRedProjectile = Class(SinglePolyTrailProjectile) {

    FxTrails = {

    },
    PolyTrail = '/mods/hawksunits/effects/emitters/HeavyTurbolaserRed01_emit.bp',

    # Hit Effects
    FxImpactUnit = EffectTemplate.CLaserHitUnit01,
    FxImpactProp = EffectTemplate.CLaserHitUnit01,
    FxImpactLand = EffectTemplate.CLaserHitLand01,
    FxImpactUnderWater = {},
}

HeavyTurbolaserRed01 = Class(HeavyTurbolaserRedProjectile) {
	OnImpact = function(self)
		local proj = self:CreateProjectile('/effects/Entities/SCUDeath01/SCUDeath01_proj.bp', 0, 0, 0, nil, nil, nil)
		proj:PassDamageData(self.DamageData)
		self:Destroy()
	end,
}

TypeClass = HeavyTurbolaserRed01
