#****************************************************************************
#**
#**  File     :  /cdimage/units/UAA0304/UAA0304_script.lua
#**  Author(s):  John Comes, David Tomandl
#**
#**  Summary  :  Aeon Strategic Bomber Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AAirUnit = import('/lua/aeonunits.lua').AAirUnit
local AIFBombQuarkWeapon = import('/lua/aeonweapons.lua').AIFBombQuarkWeapon
local weaponfile2 = import('/mods/Hawksunits/lua/Hawkeyeweapons.lua')
local TANTorpedoAngler = import('/lua/terranweapons.lua').TANTorpedoAngler
local MissileRedirect = import('/lua/defaultantiprojectile.lua').MissileRedirect


UAA0304 = Class(AAirUnit) {
    Weapons = {
        Bomb = Class(AIFBombQuarkWeapon) {},
        Torp = Class(TANTorpedoAngler) {},
        Flare = Class(AIFBombQuarkWeapon) {},
    },
}

TypeClass = UAA0304