#****************************************************************************
#**
#**  File     :  /lua/armordefinition.lua
#**  Author(s):
#**
#**  Summary  :
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
#
# Armor Type Definitions
#

armordefinition = {

    {   # Armor Type Name----------------Light Armor
        'Light',

        # Armor Definition
        'Normal 1.0',
        'Energy 1.8',
        'Explosive 2',
    },

    {   # Armor Type Name---------------------Medium Armor
        'Medium',

        # Armor Definition
        'Normal 0.8',
        'Energy 1.2',
        'Explosive 1.4',
    },
    {   # Armor Type Name---------------------Heavy Armor
        'Heavy',

        # Armor Definition
        'Normal 0.7',
        'Energy 0.85',
        'Explosive 1.0',
    },
    {   # Armor Type Name--------------------Experimental Armor
        'Experimental',

        # Armor Definition
        'Normal 0.65',
        'Energy 0.75',
        'Explosive 0.85',
	'AntiNavy 0.88',
    },
    {   # Armor Type Name------------------------Air Armor
        'AirArmor',

        # Armor Definition
        'Normal 0.8',
        'Energy 1.2',
        'Explosive 1.2',
    },
    {   # Armor Type Name----------------------Naval Basic
        'Naval',

        # Armor Definition
        'Normal 0.81',
        'Energy 1.0',
        'Explosive 1.12',
	'AntiNavy 1.87',
    },
    {   # Armor Type Name----------------------Naval Heavy
        'NavalHeavy',

        # Armor Definition
        'Normal 0.77',
        'Energy 1.0',
        'Explosive 1.0',
	'AntiNavy 1.67',
    },
    {   # Armor Type Name-----------------Naval Battleship
        'NavalBship',

        # Armor Definition
        'Normal 0.6',
        'Energy 0.76',
        'Explosive 0.74',
	'AntiNavy 1.47',
    },
    {   # Armor Type Name-----------------------ACU
        'Commander',

        # Armor Definition
        'Normal 0.45',
        'Overcharge 0.00142',
        'Energy 0.55',
        'Explosive 0.65',
	'AntiNavy 0.63',
    },
    {   # Armor Type Name-----------------------StructureLight
        'Structurelight',

        # Armor Definition
        'Normal 1.0',
        'Energy 1.2',
        'Explosive 1.2',
	'AntiNavy 0.95',
    },
    {   # Armor Type Name--------------------Structure Heavy
        'StructureHeavy',

        # Armor Definition
        'Normal 0.75',
        'Energy 0.87',
        'Explosive 0.9',
	'AntiNavy 0.85',
    },
    {   # Armor Type Name--------------------Structure Factory
        'Factory',

        # Armor Definition
        'Normal 0.55',
        'Energy 0.65',
        'Explosive .75',
	'AntiNavy 0.71',
    },
    {   # Armor Type Name--------------------StarFighter
        'StarFighter',

        # Armor Definition
        'Normal 1.0',
        'Energy 0.4125',
        'Explosive 1.3',
    },
    {   # Armor Type Name--------------------StarShip
        'StarShip',

        # Armor Definition
        'Normal 0.65',
        'Energy 0.3',
        'Explosive 0.7',
    },
}
